Page MenuHomePhabricator

Icons in Echo emails broken
Closed, ResolvedPublic

Description

{"id":"WFHEvgpAIC0AACWm5pcAAABU","type":"MWException","file":"/srv/mediawiki/php-1.29.0-wmf.6/includes/resourceloader/ResourceLoaderImage.php","line":225,"message":"File '/Echo/modules/icons/edit-user-talk.svg' does not exist","code":0,"url":"/w/load.php?

e.g :
https://www.mediawiki.org/w/load.php?modules=ext.echo.emailicons&image=thanks&lang=en&format=rasterized

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : wmf/1.29.0-wmf.6Follow-up d66771523c2: unbreak ext.echo.emailicons module
mediawiki/extensions/Echo : masterFollow-up d66771523c2: unbreak ext.echo.emailicons module

Event Timeline

Matanya created this task.Dec 14 2016, 10:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Matanya renamed this task from file missing in echo to icons missing in flow and echo.Dec 14 2016, 10:38 PM
Matanya updated the task description. (Show Details)

so should I now revert again because of this or is this a tolerable bug for now as long as it blocks group2?

Catrope renamed this task from icons missing in flow and echo to Icons in Echo emails broken.Dec 14 2016, 11:01 PM
Catrope claimed this task.
Catrope added a subscriber: Catrope.

No need to revert, all it breaks is icons in emails, but I will get right on this.

This is almost certainly fallout from converting Echo to extension registration.

Change 327387 had a related patch set uploaded (by Catrope):
Follow-up d66771523c2: unbreak ext.echo.emailicons module

https://gerrit.wikimedia.org/r/327387

Change 327387 merged by jenkins-bot:
Follow-up d66771523c2: unbreak ext.echo.emailicons module

https://gerrit.wikimedia.org/r/327387

Mentioned in SAL (#wikimedia-operations) [2016-12-14T23:35:15Z] <twentyafterfour> 327387 merged, deploying refs T153261

Change 327393 had a related patch set uploaded (by 20after4):
Follow-up d66771523c2: unbreak ext.echo.emailicons module

https://gerrit.wikimedia.org/r/327393

Change 327393 merged by jenkins-bot:
Follow-up d66771523c2: unbreak ext.echo.emailicons module

https://gerrit.wikimedia.org/r/327393

Mentioned in SAL (#wikimedia-operations) [2016-12-15T00:17:42Z] <twentyafterfour@tin> Synchronized php-1.29.0-wmf.6/extensions/Echo: deploy 327393 refs T153261 (duration: 00m 47s)